libaccounts-glib (1.23-1) unstable; urgency=medium

  * Update watch file
  * New upstream release (1.23).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Use dbus-run-session instead of dbus-launch
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 17:35:47 +0200

libaccounts-glib (1.21-1) unstable; urgency=medium

  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym
  * Drop upstream applied patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Apr 2016 13:36:25 +0200

libaccounts-glib (1.18+20150112-2) unstable; urgency=medium

  * Add disable-deprecation-errors.patch to work around glib API change
  * Add fix-endianness-issues.patch to build on s390x (Closes: #804567)

 -- Diane Trout <diane@debian.org>  Sun, 20 Dec 2015 14:43:13 -0800

libaccounts-glib (1.18+20150112-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Prepare Debian release. (1.18+20150112)
  * Update copyright information.
  * Update install files.

  [ Diane Trout ]
  * Add dh-python to build depends
  * Add -dbg package
  * Snapshot based on upstream commit 0bacbb4ca28ffceb7aabd656d0b3f3f85ab1edcf
  * Add myself to uploaders after checking with Maxy
  * Remove XS-Testsuite: autopkgtest from control. See:
    https://lintian.debian.org/tags/xs-testsuite-header-in-debian-control.html
  * Replace $(overridden_command) with dh_strip

 -- Diane Trout <diane@debian.org>  Wed, 19 Aug 2015 23:24:06 -0700

libaccounts-glib (1.18+15.04.20150116-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * Merge from upstream Update account ID after a remotely-executed
    store .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Jan 2015 17:20:53 +0000

libaccounts-glib (1.18+15.04.20141110-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * tests: Use built libtool script instead of /usr/bin/libtool
  * Use the system typelibdir, and update .install files now that this is
    under the multiarch libdir. Update gir package to be M-A: same.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 09:48:01 +0000

libaccounts-glib (1.18+14.10.20140901-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Python: fix the Accounts.Manager() constructor

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Sep 2014 14:59:16 +0000

libaccounts-glib (1.17+14.10.20140825-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Deliver store events to D-Bus Account Manager when DB is R/O
    - Fix all memory leaks reported by valgrind
    - Allow running the test suite in a wrapper program such as gdb and
      valgrind
  * New upstream release
    - Allow instantiation of AgManager with no D-Bus
    - Tests: increase timeout in test_store_locked_cancel
    - AgManager: expose DB timeout parameters as properties
    - Fix build with -Werror

  [ Ken VanDine ]
  * no longer build depend on libtool-bin, that split has been reverted
    in the libtool package.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 07:52:44 +0000

libaccounts-glib (1.15+14.04.20131126.2-0ubuntu3) trusty; urgency=medium

  * Add multiarch annotations to libaccounts-glib0 and
    libaccounts-glib-tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 18:16:18 +0000

libaccounts-glib (1.15+14.04.20131126.2-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:59 +0000

libaccounts-glib (1.15+14.04.20131126.2-0ubuntu1) trusty; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Fix SQL query for ag_manager_list_by_service_type()
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=208

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 180

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Nov 2013 19:08:54 +0000

libaccounts-glib (1.14+13.10.20131016.2-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release (1.14)
    - Add ag_provider_get_single_account
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=202
    - Add coverage reporting using lcov
    - Tests: increase test coverage
    - Tests: increase tolerance on blocking time
  * New upstream release (1.13)
    - Allow disabling WAL journaling mode at configuration time; this is
      needed in order to support accessing the DB in read-only mode
      (LP: #1232097)
    - Tests: make test_signals_other_manager() more stable
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=200
  * debian/rules
    - removed quilt usage
  * debian/patches/0001-Tests-allow-some-time-for-D-Bus-signals-to-arrive.patch
    - removed, merged upstream

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 178

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 14:15:26 +0000

libaccounts-glib (1.12+13.10.20130918.1-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Allow opening the DB in read-only mode (LP: #1220552)
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=199
    - Application: do not require ".desktop" suffix
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=193
    - Account: emit "enabled" signal also on non-selected services
    - AgAccount: implement the GInitable interface
    - Tests: revert "don't run tests in parallel", disable gtkdoc tests
  * debian/rules
    - support patching with quilt
    - run tests verbosely
  * debian/patches/0001-Tests-allow-some-time-for-D-Bus-signals-to-arrive.patch
    - Bugfix patch, submitted upstream as issue #200:
      http://code.google.com/p/accounts-sso/issues/detail?id=200

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 175

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 18:08:22 +0000

libaccounts-glib (1.11daily13.06.05.2-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Fix compilation with GCC 4.8
    - Install tests
    - Add installcheck target for installed tests
    - Vala: rename .vapi and .deps files
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=176
    - AgService: load the XML file before returning tags
    - Removed deprecated g_type_init and bumped GObject dependency
    - Tests: don't fail on critical warnings
    - Tests: don't run tests in parallel

  [ Ken VanDine ]
  * Fixed cleanup for all arches .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 173

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 18:49:08 +0000

libaccounts-glib (1.8daily13.05.01.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Ken VanDine ]
  * Automatic snapshot from revision 169 (bootstrap)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 170 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 May 2013 07:55:51 +0000

libaccounts-glib (1.8-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Do never return a NULL AgAuthData pointer.
    - Account::enabled(): use NULL for global account
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=157

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Thu, 21 Feb 2013 18:14:39 +0200

libaccounts-glib (1.7-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Link with rt only when necessary.
    - Remove AEGIS dead code.
    - Update VAPI file.
    - Allow creating AuthData for a global account.
  * -debian/patches/link_rt.patch: no longer needed
  * -debian/patches/py3.patch: fixed upstream
  * -debian/patches/python_super.patch: fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 31 Jan 2013 12:50:19 -0500

libaccounts-glib (1.5-0ubuntu2) raring; urgency=low

  * debian/patches/python_super.patch
    - Python2 requires explict type to be passed to super, which python3
      also allows.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Jan 2013 12:11:30 -0500

libaccounts-glib (1.5-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Port to GDBus; drop the dependencies on libdbus and libdbus-glib.
    - Added support for the <template> element in .provider files. This
      allows one to specify default settings for the global account in the XML
      file.
    - Make some GObject properties readable.
    - New method: ag_account_store_async(), which uses GAsyncResult and
      allows for a GCancellable option.
    - Generate and install man pages from documentation for the ag-tool and
      ag-backup.  Add a --disable-man flag so that packagers can disable the
      generation if necessary.
    - Add GVariant-based APIs beside the GValue-based ones, which become
      deprecated.
    - Enhance Python overrides to provide a more Pythonic API.
    - Let provider XML files specify which plugin manages the provider's
      accounts.
    - Include ag-auth-data.h in accounts-glib.h
    - Tests: fix provider test
  * debian/control
    - Dropped build depends for libdbus-1-dev and libdbus-glib-1-dev
  * debian/libaccounts-glib0.symbols
    - new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Jan 2013 09:07:06 -0500

libaccounts-glib (1.3-0ubuntu2) quantal; urgency=low

  * debian/patches/py3.patch
    - support python3
  * debian/rules
    - install the GI override for both python2 and python3

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Aug 2012 13:23:05 -0400

libaccounts-glib (1.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixed a bug which could cause the same signal to be emitted
      multiple times (LP: #1029378)
    - Fixed an incorrect assumption in the AgAuthData unit test
  * debian/patches/link_rt.patch
    - fixed linker failing in tests

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Aug 2012 16:43:37 -0400

libaccounts-glib (1.2-0ubuntu2) quantal; urgency=low

  * debian/rules
    - use dh_python3
    - run tests
  * debian/control
    - use debhelper 9
    - build depend on dbus-test-runner

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 17:24:33 -0400

libaccounts-glib (1.2-0ubuntu1) quantal; urgency=low

  * New package

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 11:13:34 -0400
